Skip to main content
POST
Fetch Url

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Body

application/json

Request to fetch data from a URL.

url
string<uri>
required

URL to fetch data from

Required string length: 1 - 2083
source_name
string | null

Name/description of the data source

metadata
Metadata · object

Additional metadata

Response

Successful Response

Response after data input is accepted.

input_id
string
required

Unique identifier for this input

input_type
string
required

Type of input (file, url, paste, webhook)

size_bytes
integer
required

Size of the input in bytes

source_name
string | null

Name of the data source

detected_format
string | null

Detected format (if available)

preview
Preview · object | null

Preview of the data

status
string
default:pending

Processing status

created_at
string<date-time>